openarena-maps (0.8.5split-17) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-17
    - d/rules: Pass $(CFLAGS_FOR_BUILD) to $(DEB_BUILD_GNU_TYPE)-gcc.
      There would be no reason to cross-compile this package since it is
      Architecture: all, but strictly speaking we should be using build
      architecture CFLAGS for the build architecture compiler.
    - Standards-Version: 4.7.2 (no changes required)
    - Mark packaging to be processed by debputy reformat
    - Remove Rules-Requires-Root, unnecessary since Debian 13
    - Use debhelper build API v1
  * Realign revision number with openarena-data

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 11:50:18 +0000

openarena-maps (0.8.5split-15) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-16
    - d/watch: Remove.
      uscan considers it to be valid for a watch file to contain
      only comments, but udd.debian.org diagnoses this as an error
      (#884135). Override the Lintian tag instead.
    - Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 11:09:26 +0000

openarena-maps (0.8.5split-14) unstable; urgency=medium

  * d/control: Mark data package as Multi-Arch: foreign
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since Debian 10

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2023 10:08:26 +0000

openarena-maps (0.8.5split-13) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-13
    - Bump debhelper from old 12 to 13
    - Update standards version to 4.6.1, no changes needed
    - d/watch: Indicate that there is intentionally no release monitoring.
      See the openarena source package for that.
    - d/copyright: Remove stanzas for files not in this source package
    - d/source/include-binaries: We no longer ship pregenerated qvm files

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Oct 2022 15:23:23 +0000

openarena-maps (0.8.5split-12) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-12

  [ Debian Janitor ]
  * Trim trailing whitespace in d/changelog
  * Bump debhelper from old 10 to 12
  * Set debhelper-compat version in Build-Depends

  [ Simon McVittie ]
  * Declare compliance with Debian Policy v4.5.0
  * Use https for various URLs
  * d/upstream/metadata: Add svn repository
  * Clarify status of modified engine (it's a modified ioquake3 engine,
    not something OpenArena-specific)

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Feb 2020 09:08:46 +0000

openarena-maps (0.8.5split-11) unstable; urgency=medium

  * Declare compliance with Debian Policy v4.1.4
  * d/README.source: Document non-DEP-14 Debian packaging repository
    layout
  * Update Vcs-* for move to salsa.debian.org
  * Remove empty d/watch
  * d/copyright: Sort Files: * paragraph to the top to placate Lintian
  * d/copyright: Consolidate GPL-2 license grants into one standalone license
    paragraph

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 10:07:37 +0100

openarena-maps (0.8.5split-10) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-10:
  * Use https URL for the Format of d/copyright
  * Declare compliance with Debian Policy v4.1.1
  * Move to debhelper compat level 10
  * Remove pre-generated QVM files from source package, so that building
    the package proves they can be regenerated
  * d/qvmbrute.c: Include timing information
  * Remove unused lintian overrides
  * Set Rules-Requires-Root to no
  * Remove all upstream files from packaging git repository
  * Normalize mtime of vm directory in PK3 archive to SOURCE_DATE_EPOCH
    for reproducible builds of openarena-data, openarena-085-data,
    openarena-088-data

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 11:05:15 +0000

openarena-maps (0.8.5split-8) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-8:

  [ Alexandre Detiste ]
  * Normalize permissions of PK3 archive contents to 0644/0755 to
    fix reproducibility under different umask (Closes: #819965)

  [ Simon McVittie ]
  * d/rules: add a comment indicating why we cannot run
    dh_strip_nondeterminism
  * d/rules: chmod all files, even those not in the obvious directory
    (mp-pak0.pk3 contains ../CREDITS and ../COPYING)
  * Standards-Version: 3.9.8 (no changes needed)
  * Pass CPPFLAGS to C compiler for QVM-synthesizing program, avoiding
    warnings from build-log checks
  * Use SOURCE_DATE_EPOCH for timestamps, and build-depend on the
    debhelper version that defines it

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Jun 2016 10:38:50 +0100

openarena-maps (0.8.5split-7) UNRELEASED; urgency=medium

  * Merge from openarena-data/0.8.5split-7:
    - Add shared files for the OpenArena Community Map Pack, volume 1
      (available as the openarena-oacmp1 source package, but the majority
      of the debian/ directory is duplicated to simplify merging)
    - Standards-Version: 3.9.7 (no changes needed)
    - Normalize packaging via wrap-and-sort -abst
    - Use https for Vcs-Git (lintian: vcs-field-uses-insecure-uri)
    - gbp.conf: do not set export-dir, tarball-dir: this is a local
      preference for the developer doing the build, not something that
      should be in the VCS
    - Verify at dh_builddeb time that the PK3 is compatible with upstream
    - Do not put the PK3 files through dh_strip_nondeterminism: order
      is important for these files (see #819113)
    - Clean up generated openarena-088-data.README.Debian

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Mar 2016 10:23:22 +0000

openarena-maps (0.8.5split-6) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-6:
    - debian/rules: make more use of dh and /usr/share/dpkg/default.mk
    - Apply changelog date to the fake QVM files, for reproducible builds
    - debian/copyright: update date
    - debian/copyright: list permissive license of list-pk3.pl and qvmbrute.c
    - Standards-Version: 3.9.6 (no changes)
    - do the build with TZ=UTC to make sure the (local) timestamps
      in the zip file are the same in any build
    - use zip -X to omit all optional fields (uid, gid, UTC timestamp)
    - use zip -o to set the zip file's embedded timestamp equal to the
      newest file in it
  * Change Vcs-Git to point to this branch
  * Change Vcs-Browser to https/cgit
  * Skip revision numbers 4 and 5 to stay in sync

 -- Simon McVittie <smcv@debian.org>  Sat, 09 May 2015 10:52:30 +0100

openarena-maps (0.8.5split-3) unstable; urgency=low

  * Merge from openarena-data 0.8.5split-3
    - Update common files for 0.8.8
    - Support build-arch, build-indep
    - Standards-Version: 3.9.5 (no changes)
    - Bump debhelper compat level to 9 to avoid deprecated dh_pysupport

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Aug 2014 12:55:10 +0100

openarena-maps (0.8.5split-2) unstable; urgency=low

  * Merge from openarena-data 0.8.5split-2:
    * Apply patch from Ubuntu to fix linking with more recent ld
      (Closes: #629893, LP: #794941)
    * Don't build qvmbrute unless we actually need to replace QVM files in
      this particular package (only -data, -misc and -085-data actually need it)

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Jul 2011 14:58:44 +0100

openarena-maps (0.8.5split-1) unstable; urgency=low

  * New source package partially replacing openarena-data, to split up the
    game content into more manageable pieces which fit on CDs better

 -- Simon McVittie <smcv@debian.org>  Sat, 28 May 2011 23:19:16 +0100

openarena-data (0.8.5split-1) experimental; urgency=low

  * Fix misspelling in Description (Closes: #609493) and make it less shouty
  * Move to git
    - add gbp.conf
    - do builds from git by overlaying onto the orig tarball, and abort
      on upstream changes
  * Remove useless recommendation of client/server
  * Flatten directory structure
  * Advance debhelper compat level to 8
  * Standards-Version: 3.9.2 (no changes)
  * Spin off openarena-081-maps, openarena-081-players,
    openarena-081-players-mature, openarena-081-textures,
    openarena-081-misc and openarena-085-data into separate packages
    so they'll fit on CDs better; depend on them
  * Include (best-effort) source files for the assets
  * Target experimental, since this package will be uninstallable until
    the other packages complete NEW processing

 -- Simon McVittie <smcv@debian.org>  Sat, 28 May 2011 20:12:21 +0100

openarena-data (0.8.5-3) unstable; urgency=low

  * Encode a search prefix into the fake QVM files so we can load different
    native code; OA 0.8.1 and 0.8.5 turn out not to be network-compatible.
    (When combined with changes to openarena, this will close #592965)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2010 20:16:33 +0100

openarena-data (0.8.5-2) unstable; urgency=low

  * Include directory entries explicitly in the repacked PK3 files, so the
    Setup->Player->Model menu can find the models (Closes: #591014)
  * Standards-Version: 3.9.1 (no changes needed)
  * Upload to unstable, now that 0.8.1+dfsg1-1 has migrated

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Aug 2010 10:59:00 +0100

openarena-data (0.8.5-1) experimental; urgency=low

  * New upstream patch 0.8.5
  * Include the generated stub QVM files in the source tarball so we don't have
    to keep repeating the process (they can be deleted at any time, and will
    automatically be reinstated with identical contents)

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jul 2010 19:45:24 +0100

openarena-data (0.8.1+dfsg1-1) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Remove myself from Uploaders

  [ Simon McVittie ]
  * Add myself to Uploaders
  * Set source format to 3.0 (quilt)
  * Repack upstream tarball, unzipping the PK3 files for greater transparency
    and removing QVM files that cannot be compiled with a Free compiler
    (closes: #523323)
  * At build time, repack the PK3 files
  * At build time, replace the missing QVM files with a magic number that
    causes openarena (>= 0.8.1-8) to load native-code equivalents, and has
    the same CRC-32 as the missing file for network compatibility
  * Breaks: openarena-data (<< 0.8.1-8~) due to those changes
  * Split README.Debian into README.Debian and README.source, with the latter
    going into more detail about the process
  * Add an empty debian/watch explaining why we're not uscan-compatible

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jul 2010 10:47:38 +0100

openarena-data (0.8.1-2) unstable; urgency=low

  * Upload to unstable
  * Add myself in Uploaders:

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 14 Feb 2009 15:45:22 +0100

openarena-data (0.8.1-1) experimental; urgency=low

  * New upstream release 0.8.1
    + Contains mission pack (new mode of play, currently an early preview)
    + Several new maps and weapons
  * debian/rules, debian/openarena-data.{docs,install}, debian/compat: Convert
    to DH7 style.

 -- Iain Lane <laney@ubuntu.com>  Sun, 08 Feb 2009 12:27:17 +0000

openarena-data (0.7.7-1) unstable; urgency=low

  * New upstream release
    * Build .orig.tar.gz from upstream 0.7.7 upgrade patch merged with 0.7.6
      .orig.tar.gz

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Tue, 24 Jun 2008 11:54:20 +0200

openarena-data (0.7.6-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Expand copyright years in debian/copyright
  * Update README.Debian: Description how the .orig.tar.gz was created for
    Debian

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Thu, 24 Apr 2008 14:01:53 +0200

openarena-data (0.7.1-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Rename XS-Vcs-fields to Vcs-fields in the control file
  * Add Homepage-field to control file
  * Update to standards version 3.7.3.0. No changes
  * Conflict against outdated engine package
  * Update my email address where necessary
  * Fix unresolvable recommended packages (Closes: #448921)

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Tue, 05 Feb 2008 14:25:17 +0100

openarena-data (0.7.1-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Versioned recommend of openarena or openarena-server package
  * Updated copyright date in debian/copyright
  * Manually include the "patch" pak7-patch.pk3 to make it version 0.7.1 and
    document this in README.Debian

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Fri, 10 Aug 2007 23:59:18 +0200

openarena-data (0.6.0-1) unstable; urgency=low

  * Initial release

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Wed,  6 Dec 2006 15:38:12 +0100
